          Get the dimensions of the image stored in the IMAGECrate.

get_piximg_shape(crate)

Argument
Description
crate
The image crate.

The get_piximg_shape command returns a Python tuple describing the image shape; it is the same value as returned by the shape field of a NumPy array.

>>> cr = read_file("image.fits")
>>> print(get_piximg_shape(cr))
(1024, 512)

The image has 512 (x) by 1024 (y) pixels.

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2023